RESTinio

Classes | Namespaces | Functions
safe_uint_truncate.hpp File Reference

Helpers for safe truncation of unsigned integers. More...

`#include <stdexcept>`
`#include <type_traits>`
`#include <limits>`
`#include <cstddef>`
`#include <cstdint>`

Go to the source code of this file.

## Classes
struct | restinio::utils::impl::safe_uint64_to_size_t< Is_Uint64_Longer >
struct | restinio::utils::impl::safe_uint64_to_size_t< true >
struct | restinio::utils::impl::safe_uint64_to_size_t< false >

## Namespaces
namespace | restinio
namespace | restinio::utils
namespace | restinio::utils::impl

## Functions
std::size_t | restinio::utils::impl::uint64_to_size_t (std::uint64_t v)
| Helper function for truncating uint64 to std::size_t with exception if that truncation will lead to data loss. More...

## Detailed Description

Helpers for safe truncation of unsigned integers.

Definition in file safe_uint_truncate.hpp.